# [THESAURUS SYNONYMS D DATA](https://github.com/FlatEarthTruther/thesaurus-synonyms-d-data)

Data scraped with spiders from [thesaurus.com](http://www.thesaurus.com) on 2018-03
[![NPM version](https://img.shields.io/npm/v/thesaurus-synonyms-d-data.svg)](https://www.npmjs.com/package/thesaurus-synonyms-d-data)
[![Build Status](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-d-data.svg?branch=master)](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-d-data)

[This package/repo is a dependency of thesaurus-synonyms-data](https://github.com/FlatEarthTruther/thesaurus-synonyms-data)
 
## RELATED PROJECTS

[DICTIONARY DEFINITIONS DATA](https://github.com/FlatEarthTruther/dictionary-definitions-data)
 
#### STATS

    $ wc -l d.json
    13755 d.json
  
    $ du -sh d.js*
    643M	d.json
     51M	d.json.zip

## INSTALL [PACKAGE](https://www.npmjs.com/package/thesaurus-synonyms-d-data) 📦

    npm i -S thesaurus-synonyms-d-data
    
## USAGE

Zip files containing the data get uncompressed during postinstall.    

#### LOAD SYNC
```javascript
require('thesaurus-synonyms-d-data').loadSync()
```

    [ { key: 'd.p.',
        datetime: '2018-03-24 13:41:28',
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/d.p./1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'd.p.s',
        datetime: '2018-03-24 13:41:32',
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/d.p.s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'd. p.',
        datetime: '2018-03-24 13:41:33',
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/d.%20p./1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'd. p. s',
        datetime: '2018-03-24 13:41:33',
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/d.%20p.%20s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'd-day',
        datetime: '2018-03-24 13:41:33',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/D00/D0062800.ogg',
           'http://static.sfdict.com/audio/D00/D0062800.mp3' ],
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/d-day/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'd.t.',
        datetime: '2018-03-24 13:41:33',
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/d.t./1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'd-days',
        datetime: '2018-03-24 13:41:33',
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/d-days/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'd p s',
        datetime: '2018-03-24 13:41:34',
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/d%20p%20s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'd p',
        datetime: '2018-03-24 13:41:35',
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/d%20p/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'd days',
        datetime: '2018-03-24 13:41:35',
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/d%20days/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'd day',
        datetime: '2018-03-24 13:41:36',
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/d%20day/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'dansants',
        datetime: '2018-03-27 05:25:05',
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/dansants/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'dansant',
        datetime: '2018-03-27 05:25:05',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/D00/D0033700.ogg',
           'http://static.sfdict.com/audio/D00/D0033700.mp3' ],
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/dansant/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'danknesses',
        datetime: '2018-03-27 05:25:05',
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/danknesses/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'dankness',
        datetime: '2018-03-27 05:25:05',
        page_number: 1,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/dankness/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/1' },
      { key: 'danseur',
        datetime: '2018-03-27 05:25:19',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/D00/D0034200.ogg',
           'http://static.sfdict.com/audio/D00/D0034200.mp3' ],
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/danseur/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'daybeds',
        datetime: '2018-03-27 12:14:38',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/daybeds/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'daybed',
        datetime: '2018-03-27 12:14:38',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/D00/D0058900.ogg',
           'http://static.sfdict.com/audio/D00/D0058900.mp3' ],
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/daybed/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-trippers',
        datetime: '2018-03-27 12:14:38',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-trippers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-tripper',
        datetime: '2018-03-27 12:14:39',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/D00/D0062100.ogg',
           'http://static.sfdict.com/audio/D00/D0062100.mp3' ],
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-tripper/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-to-day',
        datetime: '2018-03-27 12:14:39',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/D00/D0061600.ogg',
           'http://static.sfdict.com/audio/D00/D0061600.mp3' ],
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-to-day/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-rest',
        datetime: '2018-03-27 12:14:39',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-rest/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-reckoning',
        datetime: '2018-03-27 12:14:39',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-reckoning/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-pupils',
        datetime: '2018-03-27 12:14:39',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-pupils/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-pupil',
        datetime: '2018-03-27 12:14:39',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-pupil/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-peeps',
        datetime: '2018-03-27 12:14:39',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-peeps/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-peep',
        datetime: '2018-03-27 12:14:39',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-peep/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-laborer',
        datetime: '2018-03-27 12:14:39',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-laborer/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-crossers',
        datetime: '2018-03-27 12:14:39',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-crossers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-crosser',
        datetime: '2018-03-27 12:14:39',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-crosser/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-care providers',
        datetime: '2018-03-27 12:14:39',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-care%20providers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-care provider',
        datetime: '2018-03-27 12:14:42',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-care%20provider/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-care centers',
        datetime: '2018-03-27 12:14:42',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-care%20centers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-care center',
        datetime: '2018-03-27 12:14:42',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-care%20center/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-care',
        datetime: '2018-03-27 12:14:42',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/D00/D0059300.ogg',
           'http://static.sfdict.com/audio/D00/D0059300.mp3' ],
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-care/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day-and-night',
        datetime: '2018-03-27 12:14:42',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day-and-night/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day trips',
        datetime: '2018-03-27 12:14:43',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day%20trips/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day trippers',
        datetime: '2018-03-27 12:14:43',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day%20trippers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day tripper',
        datetime: '2018-03-27 12:14:43',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day%20tripper/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day trip',
        datetime: '2018-03-27 12:14:45',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day%20trip/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day to remember',
        datetime: '2018-03-27 12:14:45',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day%20to%20remember/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day to day',
        datetime: '2018-03-27 12:14:45',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day%20to%20day/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day spas',
        datetime: '2018-03-27 12:14:46',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day%20spas/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day spa',
        datetime: '2018-03-27 12:14:48',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day%20spa/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'day rest',
        datetime: '2018-03-27 12:14:48',
        page_number: 2,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/day%20rest/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/2' },
      { key: 'dayspring',
        datetime: '2018-03-27 12:14:48',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/D00/D0061300.ogg',
           'http://static.sfdict.com/audio/D00/D0061300.mp3' ],
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/dayspring/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'days yore',
        datetime: '2018-03-27 12:14:49',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/days%20yore/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'days old',
        datetime: '2018-03-27 12:14:49',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/days%20old/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'days of yore',
        datetime: '2018-03-27 12:14:49',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/days%20of%20yore/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'days of old',
        datetime: '2018-03-27 12:14:49',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/days%20of%20old/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'days gone byes',
        datetime: '2018-03-27 12:14:49',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/days%20gone%20byes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'days gone by',
        datetime: '2018-03-27 12:14:49',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/days%20gone%20by/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'days beyond recalls',
        datetime: '2018-03-27 12:14:49',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/days%20beyond%20recalls/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'days beyond recall',
        datetime: '2018-03-27 12:14:49',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/days%20beyond%20recall/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'daypupils',
        datetime: '2018-03-27 12:14:50',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/daypupils/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'daypupil',
        datetime: '2018-03-27 12:14:50',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/daypupil/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de barks',
        datetime: '2018-03-27 12:14:51',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20barks/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de barking',
        datetime: '2018-03-27 12:14:51',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20barking/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de barked',
        datetime: '2018-03-27 12:14:52',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20barked/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de bark',
        datetime: '2018-03-27 12:14:53',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20bark/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de canted',
        datetime: '2018-03-27 12:15:15',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20canted/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de calescent',
        datetime: '2018-03-27 12:16:17',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20calescent/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de cadent',
        datetime: '2018-03-27 12:16:18',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20cadent/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de cadency',
        datetime: '2018-03-27 12:16:19',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20cadency/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de cadencies',
        datetime: '2018-03-27 12:16:19',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20cadencies/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de coders',
        datetime: '2018-03-27 12:16:21',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20coders/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de coder',
        datetime: '2018-03-27 12:16:22',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20coder/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de controlling',
        datetime: '2018-03-27 12:16:26',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20controlling/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de controlled',
        datetime: '2018-03-27 12:16:26',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20controlled/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de control',
        datetime: '2018-03-27 12:16:26',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20control/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de contaminations',
        datetime: '2018-03-27 12:16:26',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20contaminations/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de contamination',
        datetime: '2018-03-27 12:16:26',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20contamination/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de code',
        datetime: '2018-03-27 12:16:24',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20code/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de contaminating',
        datetime: '2018-03-27 12:16:26',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20contaminating/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de duct',
        datetime: '2018-03-27 12:16:44',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20duct/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de ducted',
        datetime: '2018-03-27 12:16:41',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20ducted/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de ducting',
        datetime: '2018-03-27 12:16:38',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20ducting/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de contaminate',
        datetime: '2018-03-27 12:16:36',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20contaminate/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de codes',
        datetime: '2018-03-27 12:16:19',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20codes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de flowered',
        datetime: '2018-03-27 12:17:14',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20flowered/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de flower',
        datetime: '2018-03-27 12:17:15',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20flower/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de finer',
        datetime: '2018-03-27 12:17:54',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20finer/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de finitudes',
        datetime: '2018-03-27 12:18:31',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20finitudes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de finitude',
        datetime: '2018-03-27 12:18:31',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20finitude/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de contaminates',
        datetime: '2018-03-27 12:16:29',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20contaminates/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de coded',
        datetime: '2018-03-27 12:16:22',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20coded/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de finable',
        datetime: '2018-03-27 12:21:24',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20finable/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de predations',
        datetime: '2018-03-27 12:21:28',
        page_number: 4,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20predations/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/4' },
      { key: 'de predation',
        datetime: '2018-03-27 12:21:28',
        page_number: 4,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20predation/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/4' },
      { key: 'de regulations',
        datetime: '2018-03-27 12:22:00',
        page_number: 4,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20regulations/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/4' },
      { key: 'de regulation',
        datetime: '2018-03-27 12:22:00',
        page_number: 4,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20regulation/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/4' },
      { key: 'de regulating',
        datetime: '2018-03-27 12:22:00',
        page_number: 4,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20regulating/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/4' },
      { key: 'de regulates',
        datetime: '2018-03-27 12:22:00',
        page_number: 4,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20regulates/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/4' },
      { key: 'de regulated',
        datetime: '2018-03-27 12:22:00',
        page_number: 4,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20regulated/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/4' },
      { key: 'de contaminated',
        datetime: '2018-03-27 12:16:31',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20contaminated/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' },
      { key: 'de segregations',
        datetime: '2018-03-27 12:22:01',
        page_number: 5,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20segregations/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/5' },
      { key: 'de select',
        datetime: '2018-03-27 12:22:03',
        page_number: 5,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20select/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/5' },
      { key: 'de sedimentations',
        datetime: '2018-03-27 12:22:03',
        page_number: 5,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20sedimentations/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/5' },
      { key: 'de segregates',
        datetime: '2018-03-27 12:22:03',
        page_number: 5,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20segregates/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/5' },
      { key: 'de segregate',
        datetime: '2018-03-27 12:22:04',
        page_number: 5,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20segregate/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/5' },
      ... 13655 more items ]
    
#### LOAD ASYNC
```javascript
require('thesaurus-synonyms-d-data').load(function(err, data) {
    if (err) throw err;
    console.log(data[1].key)
});
```

    'd.p.s'


#### FIND SYNC EXAMPLE
```javascript
var _ = require('lodash');
var data = require('thesaurus-synonyms-d-data').loadSync();

function findSync(word) {
  return _.find(data, function(o) {
    return o.key === word.toLowerCase();
  } );
}
findSync('de coded');
```

    { key: 'de coded',
        datetime: '2018-03-27 12:16:22',
        page_number: 3,
        letter: 'd',
        word_url: 'http://www.thesaurus.com/browse/de%20coded/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/d/3' }

#### FIND ASYNC EXAMPLE
```javascript
var _ = require('lodash');
var load = require('thesaurus-synonyms-d-data').load;

function find(word, callback) {
  load(function(err, data) {
    if (err) callback(err);
    var result = _.find(data, function(o) {
      return o.key === word.toLowerCase();
    } );
    callback(null, result);
  });
}
find('de coded', function(err, data) {
    if (err) throw err;
    console.log(data.data);
});   
```

    { synonyms:
       [ { txt: 'verb', words: [Array], ttl: 'decipher' },
         { txt: 'noun', words: [Array], ttl: 'ordinary readable form' },
         { txt: 'verb', words: [Array], ttl: 'discover meaning, answer' },
         { txt: 'verb', words: [Array], ttl: 'figure out, understand' },
         { txt: 'verb', words: [Array], ttl: 'figure out, solve' },
         { txt: 'verb', words: [Array], ttl: 'explain in detail' },
         { txt: 'verb', words: [Array], ttl: 'understand; decide, infer' },
         { txt: 'verb', words: [Array], ttl: 'make sense of; define' },
         { txt: 'verb', words: [Array], ttl: 'answer, resolve' },
         { txt: 'verb', words: [Array], ttl: 'clarify, explain' },
         { txt: 'verb', words: [Array], ttl: 'interpret, explain' },
         { txt: 'verb', words: [Array], ttl: 'decipher' } ],
      citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
      antonyms:
       [ { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] } ],
      related:
       [ { url: 'http://www.thesaurus.com/browse/decode',
           text: 'decode',
           words: [Array],
           def: 'verb. decipher' },
         { url: 'http://www.thesaurus.com/browse/plain%20text',
           text: 'plain text',
           words: [Array],
           def: 'noun. ordinary readable form' },
         { url: 'http://www.thesaurus.com/browse/crack',
           text: 'crack',
           words: [Array],
           def: 'verb. discover meaning, answer' },
         { url: 'http://www.thesaurus.com/browse/decipher',
           text: 'decipher',
           words: [Array],
           def: 'verb. figure out, understand' },
         { url: 'http://www.thesaurus.com/browse/do',
           text: 'do',
           words: [Array],
           def: 'verb. figure out, solve' },
         { url: 'http://www.thesaurus.com/browse/elucidate',
           text: 'elucidate',
           words: [Array],
           def: 'verb. explain in detail' },
         { url: 'http://www.thesaurus.com/browse/figure',
           text: 'figure',
           words: [Array],
           def: 'verb. understand; decide, infer' },
         { url: 'http://www.thesaurus.com/browse/interpret',
           text: 'interpret',
           words: [Array],
           def: 'verb. make sense of; define' },
         { url: 'http://www.thesaurus.com/browse/solve',
           text: 'solve',
           words: [Array],
           def: 'verb. answer, resolve' },
         { url: 'http://www.thesaurus.com/browse/spell%20out',
           text: 'spell out',
           words: [Array],
           def: 'verb. clarify, explain' },
         { url: 'http://www.thesaurus.com/browse/translate',
           text: 'translate',
           words: [Array],
           def: 'verb. interpret, explain' },
         { url: 'http://www.thesaurus.com/browse/decrypt',
           text: 'decrypt',
           words: [Array],
           def: 'verb. decipher' } ] }

#### JSONLINES FORMAT

Look at [test.js](test.js) to find out more about the object structure.

    "letter" - str - word begins with this letter
    "word_url" or "url" - str - word thesaurus.com url
    "datetime" - str - datetime when data was downloaded
    "page_number" - str - the pagenumber the word was found on
    "page_url" - str - page url to word on thesaurus.com
    "key" - str - word key
    "data" - obj
        "synonyms" - arr
            "txt" - str
            "words" - arr
                "category" - int
                "url" - str
                "text" - str
                "length" - int
                "complexity" - int
                "id" - int
            "ttl" - str
        "citation" - str
        "related" - arr
            "url" - str
            "text" - str
            "words" - arr
                "url" - str
                "word" - str
            "def" - str

#### SAMPLE WORD - darnationing

```json
{
  "key": "darnationing",
  "datetime": "2018-03-28 06:12:37",
  "page_number": 2,
  "letter": "d",
  "word_url": "http://www.thesaurus.com/browse/darnationing/1",
  "data": {
    "synonyms": [
      {
        "txt": "interj",
        "words": [
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/doggone",
            "text": "doggone",
            "length": 2,
            "complexity": 2,
            "id": 1
          },
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/dang",
            "text": "dang",
            "length": 1,
            "complexity": 1,
            "id": 2
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/confound%20it",
            "text": "confound it",
            "length": 3,
            "complexity": 3,
            "id": 3
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/cripes",
            "text": "cripes",
            "length": 1,
            "complexity": 1,
            "id": 4
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/damn%20it",
            "text": "damn it",
            "length": 2,
            "complexity": 3,
            "id": 5
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/darnation",
            "text": "darnation",
            "length": 3,
            "complexity": 3,
            "id": 6
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/drat",
            "text": "drat",
            "length": 1,
            "complexity": 1,
            "id": 7
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/gosh-darn",
            "text": "gosh-darn",
            "length": 3,
            "complexity": 3,
            "id": 8
          }
        ],
        "ttl": "damn"
      }
    ],
    "citation": "Roget's 21st Century Thesaurus, Third Edition Copyright \\u00a9 2013 by the Philip Lief Group.",
    "related": [
      {
        "url": "http://www.thesaurus.com/browse/darn",
        "text": "darn",
        "words": [
          {
            "url": "http://www.thesaurus.com/browse/confound%20it",
            "word": "confound it"
          },
          {
            "url": "http://www.thesaurus.com/browse/cripes",
            "word": "cripes"
          },
          {
            "url": "http://www.thesaurus.com/browse/damn%20it",
            "word": "damn it"
          },
          {
            "url": "http://www.thesaurus.com/browse/dang",
            "word": "dang"
          },
          {
            "url": "http://www.thesaurus.com/browse/darnation",
            "word": "darnation"
          },
          {
            "url": "http://www.thesaurus.com/browse/doggone",
            "word": "doggone"
          },
          {
            "url": "http://www.thesaurus.com/browse/drat",
            "word": "drat"
          },
          {
            "url": "http://www.thesaurus.com/browse/gosh-darn",
            "word": "gosh-darn"
          }
        ],
        "def": "interj. damn"
      }
    ]
  },
  "page_url": "http://www.thesaurus.com/list/d/2"
}
```

## TESTS

Accepted param `--verbose` or `-v` to get detailed output of data being tested.

    npm test -- --verbose
    # or
    npm run test
    # or
    node --max_old_space_size=4096 ./test.js -v
    # or
    ./test.js

Should say: `All tests passed!`

Please note some of the data files are so large that they had to be left out of the tests, in fact some of the data files will give you `FATAL ERROR` when you try to load them, in that case give node more memory when you run the script, `node --max_old_space_size=4096  test.js`, increase size as necessary.

## LICENSE

This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org>

    
